Login User
curl --request GET \
--url https://codecombat.com/api/auth/login-o-auth \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://codecombat.com/api/auth/login-o-auth"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://codecombat.com/api/auth/login-o-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Auth
Login User
Logs a user in.
GET
/
auth
/
login-o-auth
Login User
url = `https://codecombat.com/auth/login-o-auth?provider=${OAUTH_PROVIDER_ID}&accessToken=1234`
res.redirect(url)
// User is sent to this CodeCombat URL and assuming everything checks out,
// is logged in and redirected to the home page.
https://oauth.provider/user?t=<%= accessToken %>) with the access token
(1234). The lookup URL returns { id: 'abcd' } in this case. We will match this
id with the OAuthIdentity stored in the user information in our db. If
everything checks out, the user is logged in and redirected to the home page.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Your OAuth Provider ID
Will be passed through your lookup URL to get the user ID. Required if no code.
Will be passed to the OAuth token endpoint to get a token. Required if no accessToken.
Override where the user will navigate to after successfully logging in.
If an error happens, redirects the user to this url, with at least query parameters code, errorName and message.
Response
204 - undefined
